> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cj.agc-vie.fnstack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1chargesairtelc2btransaction enquiry

> Airtel C2B Transaction Enquiry



## OpenAPI

````yaml post /v1/charges/airtel/c2b/transaction-enquiry
openapi: 3.0.1
info:
  version: 1.0.0
  title: AGC-VIE - Customer Journeys API
  description: This API can be use for Customer journeys integrations with 3PPs
servers:
  - url: https://dev-api-cj-agc-vie.fnstack.dev
security:
  - API Key: []
paths:
  /v1/charges/airtel/c2b/transaction-enquiry:
    post:
      tags:
        - Charges
      description: Airtel C2B Transaction Enquiry
      requestBody:
        content:
          application/xml:
            schema:
              type: object
              properties:
                COMMAND:
                  type: object
                  properties:
                    TXNID:
                      type: string
                      minLength: 1
                    MSISDN:
                      type: string
                      minLength: 1
                  required:
                    - TXNID
                    - MSISDN
              required:
                - COMMAND
      responses:
        '200':
          description: Airtel C2B Transaction Enquiry Response
          content:
            application/xml:
              schema:
                type: object
                properties:
                  COMMAND:
                    type: object
                    properties:
                      REF:
                        type: string
                        minLength: 1
                      STATUS:
                        type: integer
                      MESSAGE:
                        type: string
                        minLength: 1
                    required:
                      - REF
                      - STATUS
                      - MESSAGE
                required:
                  - COMMAND
        '406':
          description: Unsupported Content type
          content:
            text/plain:
              schema:
                type: string
components:
  securitySchemes:
    API Key:
      type: apiKey
      in: header
      name: x-api-key

````